import platform
import os

PLATFORM = platform.system().lower()

if os.environ.get('READTHEDOCS') == 'True':
    from distutils.core import setup

else:
    from setuptools import setup

install_requires = ['ModernGL', 'Pillow', 'numpy', 'Pyrr']

if PLATFORM == 'windows':
    if 'NO_GLWINDOW' not in os.environ:
        install_requires.append('GLWindow')

if 'NO_PYQT5' not in os.environ:
    install_requires.append('PyQt5')

setup(
    name='moderngl_examples',
    version='1.2.1',
    author='Szabolcs Dombi',
    author_email='cprogrammer1994@gmail.com',
    description='ModernGL extension',
    url='https://github.com/cprogrammer1994/ModernGL.ext.examples',
    license='MIT',
    packages=['moderngl_examples', 'moderngl_examples.window'],
    install_requires=install_requires,
    platforms=['any'],
)
